Bug 994264 - [abrt] gnucash-2.4.13-1.fc19: free_workarea_compile: Process /usr/bin/gnucash was killed by signal 11 (SIGSEGV)
[abrt] gnucash-2.4.13-1.fc19: free_workarea_compile: Process /usr/bin/gnucash...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnucash (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Bill Nottingham
Fedora Extras Quality Assurance
abrt_hash:29a0aa57a390b4ccdef3b7d0c81...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-06 18:35 EDT by Philipp Gampe
Modified: 2015-01-08 21:42 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-01-08 21:42:41 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (77.29 KB, text/plain)
2013-08-06 18:35 EDT, Philipp Gampe
no flags Details
File: cgroup (140 bytes, text/plain)
2013-08-06 18:35 EDT, Philipp Gampe
no flags Details
File: core_backtrace (19.17 KB, text/plain)
2013-08-06 18:35 EDT, Philipp Gampe
no flags Details
File: dso_list (22.54 KB, text/plain)
2013-08-06 18:35 EDT, Philipp Gampe
no flags Details
File: environ (1.71 KB, text/plain)
2013-08-06 18:35 EDT, Philipp Gampe
no flags Details
File: exploitable (82 bytes, text/plain)
2013-08-06 18:35 EDT, Philipp Gampe
no flags Details
File: limits (1.29 KB, text/plain)
2013-08-06 18:35 EDT, Philipp Gampe
no flags Details
File: maps (106.17 KB, text/plain)
2013-08-06 18:35 EDT, Philipp Gampe
no flags Details
File: open_fds (1.09 KB, text/plain)
2013-08-06 18:35 EDT, Philipp Gampe
no flags Details
File: proc_pid_status (992 bytes, text/plain)
2013-08-06 18:36 EDT, Philipp Gampe
no flags Details
File: var_log_messages (484 bytes, text/plain)
2013-08-06 18:36 EDT, Philipp Gampe
no flags Details

  None (edit)
Description Philipp Gampe 2013-08-06 18:35:19 EDT
Description of problem:
I tried to import a CSV export from the german bank Norisbank.

I seleted some of columns and clicked import (or whatever was the name of the action button). GnuCash crashed immediately.

Version-Release number of selected component:
gnucash-2.4.13-1.fc19

Additional info:
reporter:       libreport-2.1.6
backtrace_rating: 4
cmdline:        gnucash
crash_function: free_workarea_compile
executable:     /usr/bin/gnucash
kernel:         3.9.9-301.fc19.x86_64
runlevel:       N 5
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #1 free_workarea_compile at regcomp.c:978
 #2 re_compile_internal at regcomp.c:811
 #3 __regcomp at regcomp.c:499
 #4 parse_date_with_year at gnc-csv-model.c:88
 #5 parse_date at gnc-csv-model.c:311
 #6 trans_property_set at gnc-csv-model.c:642
 #7 gnc_csv_parse_to_trans at gnc-csv-model.c:1038
 #8 gnc_file_csv_import at gnc-csv-import.c:1166
 #13 _gtk_action_emit_activate at gtkaction.c:795
 #18 gtk_widget_activate at gtkwidget.c:5048
Comment 1 Philipp Gampe 2013-08-06 18:35:24 EDT
Created attachment 783535 [details]
File: backtrace
Comment 2 Philipp Gampe 2013-08-06 18:35:27 EDT
Created attachment 783536 [details]
File: cgroup
Comment 3 Philipp Gampe 2013-08-06 18:35:31 EDT
Created attachment 783537 [details]
File: core_backtrace
Comment 4 Philipp Gampe 2013-08-06 18:35:35 EDT
Created attachment 783538 [details]
File: dso_list
Comment 5 Philipp Gampe 2013-08-06 18:35:38 EDT
Created attachment 783539 [details]
File: environ
Comment 6 Philipp Gampe 2013-08-06 18:35:44 EDT
Created attachment 783540 [details]
File: exploitable
Comment 7 Philipp Gampe 2013-08-06 18:35:46 EDT
Created attachment 783541 [details]
File: limits
Comment 8 Philipp Gampe 2013-08-06 18:35:50 EDT
Created attachment 783542 [details]
File: maps
Comment 9 Philipp Gampe 2013-08-06 18:35:53 EDT
Created attachment 783543 [details]
File: open_fds
Comment 10 Philipp Gampe 2013-08-06 18:36:02 EDT
Created attachment 783544 [details]
File: proc_pid_status
Comment 11 Philipp Gampe 2013-08-06 18:36:06 EDT
Created attachment 783545 [details]
File: var_log_messages
Comment 12 Bill Nottingham 2013-08-07 00:48:18 EDT
'parse_date_with_year' is in your backtrace?

Can you give me:

1) a sanitized line from the CSV file (change any names/values you want to leave out)
2) a list of all the dates from the file?

Were you running it in German, English, or some other locale?
Comment 13 Philipp Gampe 2013-08-07 15:09:54 EDT
here are some sample lines ... btw, there are some lines at the top that are extra ... maybe those make trouble?

<pre>
Umsätze Top-Zinskonto (00);;;Kundennummer: 430 0000000
24.02.2011 - 09.08.2011
Letzter Kontostand;;;;0000,00;EUR
Vorgemerkte und noch nicht gebuchte Umsätze sind nicht Bestandteil dieser Übersicht.
Buchungstag;Wert;Verwendungszweck;Soll;Haben;Währung
09.08.2011;09.08.2011;"message with acct number of other side";-100,00;;EUR
04.08.2011;04.08.2011;"I got some - yeah";;50,00;EUR
</pre>
Comment 14 Philipp Gampe 2013-08-07 15:31:45 EDT
Yes, that was it ... if I remove the leading lines, then it does not crash ... anyway, the crash is a bug, leading lines or not.

Second bug (do you want to have an own bug for this?):
The importer is unable to read numbers like:
* -1.234,56
* 9.875,43
Comment 15 Bill Nottingham 2013-08-07 15:49:38 EDT
If you could attach the shortest file with the leading lines that make it crash, that would be best. 

With respect to parsing the numbers, I assume your locale is set to German?
Comment 16 Philipp Gampe 2013-08-08 02:33:23 EDT
The lines posted above make it crash and my locale is indeed german.
Comment 17 Fedora Admin XMLRPC Client 2014-03-05 11:46:35 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 18 Bill Nottingham 2015-01-08 21:42:41 EST
Apologies for the inability to address this bug as filed.

Currently, Fedora 19 is EOL, and Fedora 20 and later ship an entirely new major version of GnuCash which includes many changes (including, in this case, a completely rewritten CSV importer). If this bug persists in Fedora 20 and later with GnuCash 2.6.x, please reopen this bug against that version.

Again, apologies for the inability to address this bug as filed. Closing as WONTFIX for Fedora 19/gnucash-2.4.

Note You need to log in before you can comment on or make changes to this bug.